prompt Creating store_blob table
create table store_blob
(
  blob_file     blob,
  created_date  date,
  filename      varchar2(255 char)
);

prompt Creating xlsx_text table
create table XLSX_TEXT
(
  id        NUMBER,
  datatext  VARCHAR2(2000),
  cell_id   VARCHAR2(7),
  cell_type VARCHAR2(10)
);

drop table ploffx_phonetic_runs_t;
prompt creating ploffx_phonetic_runs_t table
create global temporary table ploffx_phonetic_runs_t
(
  st_iid number not null,
  iid    number not null,
  tag    varchar2(255 char),
  eb     varchar2(255 char),
  sb     varchar2(255 char),
  t      varchar2(255 char)
)
on commit delete rows;

drop table ploffx_rich_texts_t;
prompt creating ploffx_rich_texts_t table
create global temporary table ploffx_rich_texts_t
(
  st_iid            number not null,
  iid               number not null,
  tag               varchar2(255 char),
  rpr_tag           varchar2(255 char),
  rpr_rfont_tag     varchar2(255 char),
  rpr_rfont_val     varchar2(255 char),
  rpr_charset_tag   varchar2(255 char),
  rpr_charset_val   varchar2(255 char),
  rpr_family_tag    varchar2(255 char),
  rpr_family_val    varchar2(255 char),
  rpr_b_tag         varchar2(255 char),
  rpr_b_val         varchar2(255 char),
  rpr_i_tag         varchar2(255 char),
  rpr_i_val         varchar2(255 char),
  rpr_strike_tag    varchar2(255 char),
  rpr_strike_val    varchar2(255 char),
  rpr_outline_tag   varchar2(255 char),
  rpr_outline_val   varchar2(255 char),
  rpr_shadow_tag    varchar2(255 char),
  rpr_shadow_val    varchar2(255 char),
  rpr_condense_tag  varchar2(255 char),
  rpr_condense_val  varchar2(255 char),
  rpr_extend__tag   varchar2(255 char),
  rpr_extend__val   varchar2(255 char),
  rpr_color_tag     varchar2(255 char),
  rpr_color_auto    varchar2(255 char),
  rpr_color_indexed varchar2(255 char),
  rpr_color_rgb     varchar2(255 char),
  rpr_color_theme   varchar2(255 char),
  rpr_color_tint    varchar2(255 char),
  rpr_sz_tag        varchar2(255 char),
  rpr_sz_val        varchar2(255 char),
  rpr_u_tag         varchar2(255 char),
  rpr_u_val         varchar2(255 char),
  rpr_vertalign_tag varchar2(255 char),
  rpr_vertalign_val varchar2(255 char),
  rpr_scheme_tag    varchar2(255 char),
  rpr_scheme_val    varchar2(255 char),
  t                 varchar2(4000 char)
)
on commit delete rows;

drop table ploffx_sharedstrings_t;
prompt creating ploffx_sharedstrings_t table
create global temporary table ploffx_sharedstrings_t
(
  iid                  number not null,
  tag                  varchar2(255 char),
  t                    varchar2(4000 char),
  phoneticpr_tag       varchar2(255 char),
  phoneticpr_fontid    varchar2(255 char),
  phoneticpr_type_     varchar2(255 char),
  phoneticpr_alignment varchar2(255 char)
)
on commit delete rows;

drop table ploffx_sheet_cells_t;
prompt creating ploffx_sheet_cells_t table
create global temporary table ploffx_sheet_cells_t
(
  sheet_iid number not null,
  row_iid   number not null,
  iid       number not null,
  name      varchar2(255 char),
  tag       varchar2(255 char),
  f_tag     varchar2(255 char),
  f_formula varchar2(4000 char),
  v         varchar2(4000 char),
  r         varchar2(4000 char),
  s         varchar2(255 char),
  t         varchar2(255 char)
)
on commit delete rows;

drop table ploffx_sheet_rows_t;
prompt creating ploffx_sheet_rows_t table
create global temporary table ploffx_sheet_rows_t
(
  sheet_iid    number not null,
  iid          number not null,
  tag          varchar2(255 char),
  r            varchar2(255 char),
  spans        varchar2(255 char),
  s            varchar2(255 char),
  customformat varchar2(255 char),
  ht           varchar2(255 char),
  hidden       varchar2(255 char),
  collapsed    varchar2(255 char), --v4.3.0
  outlineLevel varchar2(255 char), --v4.3.0
  customheight varchar2(255 char),
  last_cell    number
)
on commit delete rows;

